USE StockData
GO


SELECT CHANGE_TRACKING_CURRENT_VERSION()

-- Truncate table src.Stocks

INSERT src.Stocks
SELECT * FROM dbo.Stocks
WHERE ticker IN ('MSFT', 'META', 'AAPL', 'AMZN', 'NFLX', 'GOOG', 'GOOGL')

INSERT src.Stocks
SELECT 'TIMCO', 'TimCo', 'Stock'

DELETE src.Stocks
WHERE ticker = 'GOOGL'

UPDATE src.Stocks
SET EquityName = 'TimCo Rocks!'
WHERE ticker = 'TIMCO'

SELECT CHANGE_TRACKING_CURRENT_VERSION()

-- Show all current records
SELECT * 
FROM src.Stocks


-- Use the CHANGETABLE() function to show changes since a particular version
SELECT * 
FROM CHANGETABLE(CHANGES src.Stocks, 17) ct
LEFT JOIN src.Stocks s
	ON s.ticker = ct.ticker